#****************************************************************************
#**
#**  File     :  /cdimage/units/URB5101/URB5101_script.lua
#**  Author(s):  John Comes, David Tomandl
#**
#**  Summary  :  Cybran Wall Piece Script
#**
#**  Copyright � 2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local CWallStructureUnit = import('/lua/cybranunits.lua').CWallStructureUnit
local TerraFormerT1 = import ('/Mods/TerraFormer_Ultimate/hook/TerraFormer.lua').TerraFormerT1

TFR002W = Class(CWallStructureUnit) {

  OnStopBeingBuilt = function(self)
    local x,y,z = unpack(self:GetPosition())

    TerraFormerT1.FlattenTerrain(x+2,z+2,-4, self);
    TerraFormerT1.FlattenTerrain(x-1,z-1,-4, self);
    TerraFormerT1.FlattenTerrain(x-1,z+2,-4, self);
    TerraFormerT1.FlattenTerrain(x+2,z-1,-4, self);

    TerraFormerT1.FlattenTerrain(x+4,z+4,-4, self);
    TerraFormerT1.FlattenTerrain(x-3,z-3,-4, self);
    TerraFormerT1.FlattenTerrain(x-3,z+4,-4, self);
    TerraFormerT1.FlattenTerrain(x+4,z-3,-4, self);

    TerraFormerT1.FlattenTerrain(x+4,z+2,-4, self);
    TerraFormerT1.FlattenTerrain(x-3,z-1,-4, self);
    TerraFormerT1.FlattenTerrain(x-3,z+2,-4, self);
    TerraFormerT1.FlattenTerrain(x+4,z-1,-4, self);

    TerraFormerT1.FlattenTerrain(x+2,z+4,-4, self);
    TerraFormerT1.FlattenTerrain(x-1,z-3,-4, self);
    TerraFormerT1.FlattenTerrain(x-1,z+4,-4, self);
    TerraFormerT1.FlattenTerrain(x+2,z-3,-4, self);


    TerraFormerT1.FlattenTerrain(x+6,z+6,-4, self);
    TerraFormerT1.FlattenTerrain(x-5,z-5,-4, self);
    TerraFormerT1.FlattenTerrain(x-5,z+6,-4, self);
    TerraFormerT1.FlattenTerrain(x+6,z-5,-4, self);

    TerraFormerT1.FlattenTerrain(x+6,z+4,-4, self);
    TerraFormerT1.FlattenTerrain(x-5,z-3,-4, self);
    TerraFormerT1.FlattenTerrain(x-5,z+4,-4, self);
    TerraFormerT1.FlattenTerrain(x+6,z-3,-4, self);

    TerraFormerT1.FlattenTerrain(x+4,z+6,-4, self);
    TerraFormerT1.FlattenTerrain(x-3,z-5,-4, self);
    TerraFormerT1.FlattenTerrain(x-3,z+6,-4, self);
    TerraFormerT1.FlattenTerrain(x+4,z-5,-4, self);

    TerraFormerT1.FlattenTerrain(x+2,z+4,-4, self);
    TerraFormerT1.FlattenTerrain(x-1,z-3,-4, self);
    TerraFormerT1.FlattenTerrain(x-1,z+4,-4, self);
    TerraFormerT1.FlattenTerrain(x+2,z-3,-4, self);


    TerraFormerT1.FlattenTerrain(x+6,z+2,-4, self);
    TerraFormerT1.FlattenTerrain(x-5,z-1,-4, self);
    TerraFormerT1.FlattenTerrain(x-5,z+2,-4, self);
    TerraFormerT1.FlattenTerrain(x+6,z-1,-4, self);

    TerraFormerT1.FlattenTerrain(x+2,z+6,-4, self);
    TerraFormerT1.FlattenTerrain(x-1,z-5,-4, self);
    TerraFormerT1.FlattenTerrain(x-1,z+6,-4, self);
    TerraFormerT1.FlattenTerrain(x+2,z-5,-4, self);
    self:Destroy()
    self:RequestRefreshUI();
  end
}


TypeClass = TFR002W